Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.application_test_case_outputs.list()
page = page.items[0]
print(page)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.ApplicationTestCaseOutputs.List(context.TODO(), sgp.ApplicationTestCaseOutputListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}curl --request GET \
--url https://api.egp.scale.com/v4/application-test-case-outputsconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/application-test-case-outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"application_variant_id": "<string>",
"evaluation_dataset_id": "<string>",
"test_case_id": "<string>",
"output": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"interaction": {
"id": "<string>",
"input": {},
"output": {},
"aggregated": true,
"application_spec_id": "<string>",
"application_variant_id": "<string>",
"start_timestamp": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"operation_metadata": {},
"models": [
"<string>"
],
"chat_thread_id": "<string>",
"trace_spans": [
{
"id": "<string>",
"node_id": "<string>",
"operation_input": {},
"operation_output": {},
"start_timestamp": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"application_interaction_id": "<string>",
"application_variant_id": "<string>",
"operation_expected": {},
"operation_metadata": {},
"end_timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>",
"parent_id": "<string>",
"group_id": "<string>",
"account_id": "<string>",
"created_by_user_id": "<string>"
}
]
},
"test_case_version": {
"evaluation_dataset_id": "<string>",
"test_case_data": {
"input": "<string>",
"artifact_ids_filter": [
"<string>"
],
"expected_output": "<string>",
"expected_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"autogenerated": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"schema_type": "GENERATION",
"chat_history": {},
"test_case_metadata": {},
"invalidated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
},
"metric_scores": [
{
"score": 123,
"llm_metadata": {
"reasoning": "<string>",
"logging": {},
"time_elapsed_s": 123,
"usage": [
{
"prompt_tokens": 123,
"completion_tokens": 123,
"cost": 123
}
]
}
}
],
"schema_type": "GENERATION",
"application_interaction_id": "<string>",
"application_test_case_output_group_id": "<string>",
"metrics": {}
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Applications
List Application Test Case Outputs
Description
Lists all application test case outputs accessible to the user.
Details
This API can be used to list application test case outputs. If a user has access to multiple accounts, all application test case outputs from all accounts the user is associated with will be returned.
GET
/
v4
/
application-test-case-outputs
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.application_test_case_outputs.list()
page = page.items[0]
print(page)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.ApplicationTestCaseOutputs.List(context.TODO(), sgp.ApplicationTestCaseOutputListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}Query Parameters
Available options:
MetricScores, TestCaseVersion, Trace Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response
items
(ApplicationTestCaseGenerationOutputResponseWithViews · object | ApplicationTestCaseFlexibleOutputResponseWithViews · object)[]
required
The data returned for the current page.
- ApplicationTestCaseGenerationOutputResponseWithViews
- ApplicationTestCaseFlexibleOutputResponseWithViews
Show child attributes
Show child attributes
The total number of items of the query
The current page number.
The number of items per page.
⌘I

